%global momorel 3

Name:           perl-DateTime-Util-Astro
Version:        0.12000
Release: %{momorel}m%{?dist}
Summary:        DateTime::Util::Astro Perl module
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DateTime-Util-Astro/
Source0:        http://www.cpan.org/modules/by-module/DateTime/DateTime-Util-Astro-%{version}.tar.gz
NoSource:	0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Cache-Cache
BuildRequires:  perl-DateTime
BuildRequires:  perl-DateTime-Util-Calc >= 0.12
BuildRequires:  perl-Module-Build
Requires:       perl-Cache-Cache
Requires:       perl-DateTime
Requires:       perl-DateTime-Util-Calc >= 0.12
Requires:       perl

%description
DateTime::Util::Astro Perl module

%prep
%setup -q -n DateTime-Util-Astro-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE
%{perl_vendorlib}/*/*/*
%{_mandir}/man3/*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.12000-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.12000-2m)
- rebuild against gcc43

* Tue Dec  4 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.12000-1m)
- update to 0.12000

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.11001-1m)
- update to 0.11001

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.09-2m)
- use vendor

* Wed Feb  7 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.09-1m)
- update to 0.09

* Tue Feb  6 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.08-1m)
- update to 0.08

* Wed Nov 29 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.06-2m)
- delete dupclicate directory

* Tue Nov 28 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.06-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
